LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 09-09-2012, 09:59 AM   #1
Alpha90
Member
 
Registered: Jul 2012
Posts: 45

Rep: Reputation: Disabled
Ati's FGLRX install returns an error and is unusable on a custom compiled kernel


I recently compiled Kernel 3.5.3 on an existing Debian Distro and i have run into an annoying problem that has rendered my system unfeasible.

Upon installing amd-driver-installer-8.982-x86.x86_64.run the most current Ati Driver i receive this error in installs log file

Code:
Detected a previous installation, /usr/share/ati/amd-uninstall.sh
Dryrun uninstall succeeded continuing with installation.
Check if system has the tools required for installation.
Uninstalling any previously installed drivers.
Forcing uninstall of AMD Catalyst(TM) Proprietary Driver.
No integrity verification is done.
restore of system environment completed
Uninstall fglrx driver complete.
For detailed log of uninstall, please see /etc/ati/fglrx-uninstall.log
System must be rebooted to avoid system instability and potential data loss.
/usr/share/ati/amd-uninstall.sh completed with 0

Creating symlink /var/lib/dkms/fglrx/8.982/source ->
                 /usr/src/fglrx-8.982

DKMS: add Completed.

Kernel preparation unnecessary for this kernel.  Skipping...

Building module:
cleaning build area....
cd /var/lib/dkms/fglrx/8.982/build; sh make.sh --nohints --uname_r=3.5.3 --norootcheck....(bad exit status: 1)
0
0
[Error] Kernel Module : Failed to build fglrx-8.982 with DKMS
[Error] Kernel Module : Removing fglrx-8.982 from DKMS

------------------------------
Deleting module version: 8.982
completely from the DKMS tree.
------------------------------
Done.
[Reboot] Kernel Module : update-initramfs
I do not have a clue at all where to start if anyone has had this problem please tell me what you did to fix this.
 
Old 09-10-2012, 04:57 PM   #2
Alpha90
Member
 
Registered: Jul 2012
Posts: 45

Original Poster
Rep: Reputation: Disabled
After playing around with other kernel versions from what i can figure the ATI driver currently conflicts with the newest kernel version a version or two back the Driver works just fine
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Trying to install bigmem kernel with Ati Catalyst FGLRX Mr Marmmalade Debian 9 01-15-2011 08:07 AM
ATI driver, fglrx - FATAL: Error inserting fglrx hubabuba Slackware 4 04-18-2009 01:27 PM
kernel panic while booting custom compiled 2.6.24 kernel on RHEL 4 AS samkraju Red Hat 4 02-10-2008 12:55 AM
custom compiled kernel 2.6.21.1 and rc.modules matters Slackware 14 05-18-2007 08:56 AM
ATI Driver Install fglrx error 2.6.12.3 PSIPHON Slackware 6 08-12-2005 10:53 PM


All times are GMT -5. The time now is 11:32 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration